.accessibility {
    position: fixed;
    left: 3rem;
    bottom: 3rem;
    width: 6rem;
    height: 6rem;
    z-index: 2000;
    transition: var(--transition-default);
}

    .accessibility .button__accessibility {
        border: none;
        background-color: transparent;
        background-image: url("data:image/svg+xml,%3Csvg width='48' height='48' viewBox='0 0 48 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M48 46.6306L-4.19629e-06 48L0.773468 -4.12867e-06L44.6676 1.85859L48 46.6306Z' fill='white'/%3E%3C/svg%3E%0A");
        background-size: cover;
        color: var(--black);
        box-shadow: none;
        cursor: pointer;
        width: 6rem;
        height: 6rem;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        padding: 0;
        margin: 0;
    }

        .accessibility .button__accessibility svg {
            width: 4rem;
            height: 4rem;
        }

    .accessibility .accessibility__dropdown {
        background-color: var(--white);
        position: absolute;
        left: 0;
        top: -10rem;
        border: none;
        padding: 1.5rem;
        border-radius: 0;
        z-index: 20;
        transform: translateY(1rem) rotate(2deg);
        opacity: 0;
        display: none;
        transition: var(--transition-default);
    }

        .accessibility .accessibility__dropdown.show {
            display: block;
            animation: showAccessibilityDropdown .3s ease-out forwards;
        }

@keyframes showAccessibilityDropdown {
    from {
        transform: translateY(1rem) rotate(2deg);
        opacity: 0;
    }

    to {
        transform: translateY(-.5rem) rotate(-2deg);
        opacity: 1;
    }
}

.button__contrast {
    margin-bottom: 1rem;
}

.button__contrast,
.button__dyslexia {
    background-color: var(--white);
    color: var(--black);
    padding: 0 5rem 0 0;
    position: relative;
    width: 100%;
    font-size: 2.4rem;
    text-align: left;
    justify-content: flex-start;
    align-items: center;
    white-space: nowrap;
    border: none !important;
    outline: none !important;
    transform: none;
    margin-top: 0;
}

    .button__contrast:hover,
    .button__dyslexia:hover {
        background-color: unset !important;
        color: var(--purple) !important;
    }

    .button__contrast::before,
    .button__dyslexia::before {
        content: "";
        width: 4rem;
        height: 2.6rem;
        border-radius: 1.3rem;
        position: absolute;
        right: 0;
        top: 0;
        background-color: var(--black);
        transition: all .3s linear;
    }

    .button__contrast.active::before,
    .button__dyslexia.active::before {
        background-color: var(--green);
    }

    .button__contrast.active,
    .button__dyslexia.active {
        color: var(--green) !important;
        background-color: var(--white) !important;
    }

    .button__contrast::after,
    .button__dyslexia::after {
        content: "";
        width: 2rem;
        height: 2rem;
        border-radius: 1.1rem;
        position: absolute;
        right: 1.6rem;
        top: .3rem;
        background-color: var(--white);
    }

    .button__contrast.active::after,
    .button__dyslexia.active::after {
        right: .3rem;
    }

@media(max-width: 767px) {
    .accessibility {
        left: 2rem;
        bottom: 2rem;
    }
}

body.menu--open .accessibility,
body.popup--open .accessibility {
    transform: translate(-10rem, 10rem);
    opacity: 0;
}
